For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
  • Disbursements
      • POSTCreate Nonprofit Addresses
  • Gift Processing
LogoLogo
Contact usLogin
DisbursementsNonprofit Addresses

Create Nonprofit Addresses

POST
/v1/nonprofit_addresses
POST
/v1/nonprofit_addresses
$curl -X POST https://api.givechariot.com/v1/nonprofit_addresses \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "entries": [
> {
> "ein": "13-1635294",
> "line1": "431 18th Street NW",
> "city": "Washington",
> "state": "DC",
> "zip": "20006"
> },
> {
> "ein": "530196605",
> "line1": "1250 24th Street NW",
> "city": "Washington",
> "state": "DC",
> "zip": "20037-1175",
> "line2": "Suite 300"
> }
> ]
>}'
1{}
Submit mailing addresses for one or more nonprofits. Uploaded addresses are used as suggestions for where to send disbursements.
Was this page helpful?
Previous

Create Nonprofit Contacts

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

Address entries to upload, each matched to a nonprofit by EIN.
entrieslist of objectsRequired
Address entries to upload. Up to 500 per request.

Response

All addresses were accepted.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error